<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="La botica, farmacia .">


    <link rel="shortcut icon" href="img/favicon-32x32.png">
    <link rel="stylesheet" href="bootstrap/css/bootstrap-icons.min.css">
    <link rel="stylesheet" href="css/swiper-bundle.min.css">
    <link rel="stylesheet" href="AOS/aos.css">
    <link rel="stylesheet" href="fonts/RoboFonts/stylesheet.css">
    <link rel="stylesheet" href="css/styles.css">

    <title>La Botica - Rubio - Táchira</title>
</head>


<body>
    <div id="loading">
        <div class="loading-content">
            <img src="./img/loading.gif" alt="" srcset="">
            <span>Cargando...</span>
        </div>
    </div>
    <!-- Header Section -->
    <header class="container-fluid bg-body-tertiary" id="header"></header>

    <main class="main shop">
        <!-- Banner Section -->
        <div class="container-fluid px-0">
            <div class="banner">
                <div class="backgroundBanner" style="background-image: url(img/productosCatalogo.png);"></div>
                <div class="content-text" data-aos="fade-right" data-aos-duration="3000">

                    <h1 class="text-center" data-aos="fade-right" style="color: aliceblue;">Catalogo de Productos</h1>
                </div>
            </div>
        </div>

        <!-- catalogo Section -->
        <section id="page-catalogo">
            <div class="container">
                <!-- <div class="row">
                    <div class="col-12">
                        <h2 class="text-center" data-aos="fade-right">Mi Catalogo</h2>
                    </div>
                </div> -->
                <div class="row">
                    <div class="col-12 col-md-8 mx-auto py-4">
                        <div class="row">
                            <div class="col-12 col-md-10 mx-auto">
                                <div class="input-group align-items-center border_bottom">
                                    <i class="bi bi-search text-primary"></i>
                                    <div class="form-floating">

                                        <input type="text" class="form-control btn-search" id="input_search_term"
                                            placeholder="Busca una palabra clave y presiona enter..." required>
                                        <label for="input_search_term">Buscar Producto</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="container">
                <div class="row list-categorias">
                    <div class="col-12">
                        <!-- Contenedor del menú -->
                        <div class="flex-nowrap justify-content-center header-list">
                            <div class="menu-container" id="menu-container">
                                <div class="menu-item" data-category="electronica">Electrónica</div>
                                <div class="menu-item" data-category="ropa">Ropa</div>
                                <div class="menu-item" data-category="hogar">Hogar</div>
                                <div class="menu-item" data-category="juguetes">Juguetes</div>
                                <div class="menu-item" data-category="deportes">Deportes</div>
                                <!-- Agrega más ítems de menú según sea necesario -->
                            </div>
                            <!-- Desplegable que aparece cuando hay opciones ocultas -->
                            <div class="dropdown dropdown-categoria" id="dropdown-categoria">
                                <div class="dropdown-toggle">Más</div>
                                <div class="dropdown-menu" id="dropdown-menu">
                                    <!-- Aquí se moverán los elementos que no caben -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div id="product-list">
                            <h2 class="title-section" data-aos="fade-right">Productos</h2>
                            <div id="products-container">
                                <!-- Los productos se cargarán aquí mediante AJAX -->
                            </div>
                            <div class="content-loading"></div>
                            <!-- Botón para cargar más productos -->
                            <p class="text-center" id="no-more">No hay más medicamentos a mostrar</p>
                            <button class="btn load-more" id="loadMoreBtn">Cargar más productos</button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <!-- footer Section -->
    <footer class="footer" id="footer"></footer>

    <script src="js/jquery-3.7.1.min.js"></script>
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <script src="js/swiper-bundle.min.js"></script>
    <script src="AOS/aos.js"></script>
    <script src="config.js"></script>
    <script src="js/apiCall.js"></script>
    <script src="js/catalog.js"></script>
    <script src="js/index.js"></script>

</body>

</html>